From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/dracut/
Date: Sat, 18 Nov 2017 16:19:32 +0000 (UTC) [thread overview]
Message-ID: <1511021946.a3a854e183411aa4ebcfad7efcf02f72cf5e3e4c.floppym@gentoo> (raw)
commit: a3a854e183411aa4ebcfad7efcf02f72cf5e3e4c
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 17 22:15:33 2017 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sat Nov 18 16:19:06 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3a854e1
sys-kernel/dracut: bump to 046
Closes: https://bugs.gentoo.org/627694
Package-Manager: Portage-2.3.14_p5, Repoman-2.3.6
sys-kernel/dracut/Manifest | 1 +
sys-kernel/dracut/dracut-046.ebuild | 166 ++++++++++++++++++++++++++++++++++++
2 files changed, 167 insertions(+)
diff --git a/sys-kernel/dracut/Manifest b/sys-kernel/dracut/Manifest
index 04a511a44f1..3b897bc2f89 100644
--- a/sys-kernel/dracut/Manifest
+++ b/sys-kernel/dracut/Manifest
@@ -1,2 +1,3 @@
DIST dracut-044.tar.xz 280004 SHA256 84b97c9b0120e9fde06c3b9cf2ede1c4632cccd8e085e980b9ec9c788655af05 SHA512 bc788076e425b223d98cf0e0b15ff57d75d423991d7a67fb564a2857c38d5c3a21d846d2ca4523f9d4b0128bb981d09b5c26031435c5fc5e30f53080bca19b3d WHIRLPOOL 684591df596fa902447e671adfaeeb8cdc469c257f756616e42747835b71be7caaac9c72bd4b1a5ba5728ec4332baaba1d265cddb1c30cbfa65cf4dce0690bc0
DIST dracut-045.tar.xz 292652 SHA256 ca9c7ea54d3efc8b57ac1427cc5fa4d66688f6cf9d3088f4c5e7ae7c7e84ebf8 SHA512 b57aab1f6fbdd5ad52a13a0eb99937b1abcd11507a2a3e6ec9bcb94e578cc32edc01a814ea2cef93158c27c17e3e40bcdd32a66457a20363f8136b8b546bbb4a WHIRLPOOL d9cdf32e4fb745b2598aa2f0504c943f5a069dddc17d5261d594b2fc33921306196386bc35156d5bf71983cc15be3b0cddd504d1b6a2042b45b5c5ae622b23b9
+DIST dracut-046.tar.xz 299520 SHA256 3cb206abc198811972d452d53e88c32f29dd1b0bb24e35e23b4056aa74824f99 SHA512 75cefc184960024ef32f7bb5a0fe060e9c7d82dbfd0fe247d54b585e2ebbf0f8af5d5dc1be7e5e8cf2c3bc27b3293842c6361ae62d047289d0c59d7d40b09122 WHIRLPOOL 2a430978934e00a5c87908a6e312e94785d8c2d4d9281c23de9a04d0e91658d234e97dbf826c3e90c6d3c7186f96eb251cfd5e7508ac0c2d2e9dd46486dc284d
diff --git a/sys-kernel/dracut/dracut-046.ebuild b/sys-kernel/dracut/dracut-046.ebuild
new file mode 100644
index 00000000000..8c505a56267
--- /dev/null
+++ b/sys-kernel/dracut/dracut-046.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1 linux-info toolchain-funcs systemd
+
+DESCRIPTION="Generic initramfs generation tool"
+HOMEPAGE="https://dracut.wiki.kernel.org"
+SRC_URI="mirror://kernel/linux/utils/boot/${PN}/${P}.tar.xz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug selinux"
+
+RESTRICT="test"
+
+CDEPEND="virtual/udev
+ virtual/pkgconfig
+ >=sys-apps/kmod-15[tools]
+ "
+RDEPEND="${CDEPEND}
+ app-arch/cpio
+ >=app-shells/bash-4.0:0
+ || (
+ >=sys-apps/sysvinit-2.87-r3
+ sys-apps/systemd[sysv-utils]
+ )
+ sys-apps/coreutils[xattr(-)]
+ >=sys-apps/util-linux-2.21
+
+ debug? ( dev-util/strace )
+ selinux? (
+ sys-libs/libselinux
+ sys-libs/libsepol
+ sec-policy/selinux-dracut
+ )
+ !net-analyzer/arping
+ "
+DEPEND="${CDEPEND}
+ app-text/asciidoc
+ >=dev-libs/libxslt-1.1.26
+ app-text/docbook-xml-dtd:4.5
+ >=app-text/docbook-xsl-stylesheets-1.75.2
+ "
+
+DOCS=( AUTHORS HACKING NEWS README README.generic README.kernel README.modules
+ README.testsuite TODO )
+
+QA_MULTILIB_PATHS="usr/lib/dracut/.*"
+
+PATCHES=(
+ "${FILESDIR}/045-systemdutildir.patch"
+)
+
+src_configure() {
+ local myconf=(
+ --prefix="${EPREFIX}/usr"
+ --sysconfdir="${EPREFIX}/etc"
+ --bashcompletiondir="$(get_bashcompdir)"
+ --systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ )
+
+ tc-export CC PKG_CONFIG
+
+ echo ./configure "${myconf[@]}"
+ ./configure "${myconf[@]}" || die
+}
+
+src_install() {
+ default
+
+ local dracutlibdir="usr/lib/dracut"
+
+ local libdirs="/$(get_libdir) /usr/$(get_libdir)"
+ if [[ ${SYMLINK_LIB} = yes ]]; then
+ # Preserve lib -> lib64 symlinks in initramfs
+ [[ $libdirs =~ /lib\ ]] || libdirs+=" /lib /usr/lib"
+ fi
+
+ einfo "Setting libdirs to \"${libdirs}\" ..."
+ echo "libdirs=\"${libdirs}\"" > "${T}/gentoo.conf"
+ insinto "${dracutlibdir}/dracut.conf.d"
+ doins "${T}/gentoo.conf"
+
+ insinto /etc/logrotate.d
+ newins dracut.logrotate dracut
+
+ dodir /var/lib/dracut/overlay
+
+ dodoc dracut.html
+}
+
+pkg_postinst() {
+ if linux-info_get_any_version && linux_config_exists; then
+ ewarn ""
+ ewarn "If the following test report contains a missing kernel"
+ ewarn "configuration option, you should reconfigure and rebuild your"
+ ewarn "kernel before booting image generated with this Dracut version."
+ ewarn ""
+
+ local CONFIG_CHECK="~BLK_DEV_INITRD ~DEVTMPFS"
+
+ # Kernel configuration options descriptions:
+ local desc_DEVTMPFS="Maintain a devtmpfs filesystem to mount at /dev"
+ local desc_BLK_DEV_INITRD="Initial RAM filesystem and RAM disk "\
+"(initramfs/initrd) support"
+
+ local opt desc
+
+ # Generate ERROR_* variables for check_extra_config.
+ for opt in ${CONFIG_CHECK}; do
+ opt=${opt#\~}
+ desc=desc_${opt}
+ eval "local ERROR_${opt}='CONFIG_${opt}: \"${!desc}\"" \
+ "is missing and REQUIRED'"
+ done
+
+ check_extra_config
+ echo
+ else
+ ewarn ""
+ ewarn "Your kernel configuration couldn't be checked. Do you have"
+ ewarn "/usr/src/linux/.config file there? Please check manually if"
+ ewarn "following options are enabled:"
+ ewarn ""
+ ewarn " CONFIG_BLK_DEV_INITRD"
+ ewarn " CONFIG_DEVTMPFS"
+ ewarn ""
+ fi
+
+ elog "To get additional features, a number of optional runtime"
+ elog "dependencies may be installed:"
+ elog ""
+ optfeature "Networking support" net-misc/curl "net-misc/dhcp[client]" \
+ sys-apps/iproute2 "net-misc/iputils[arping]"
+ optfeature \
+ "Measure performance of the boot process for later visualisation" \
+ app-benchmarks/bootchart2 app-admin/killproc sys-process/acct
+ optfeature "Scan for Btrfs on block devices" sys-fs/btrfs-progs
+ optfeature "Load kernel modules and drop this privilege for real init" \
+ sys-libs/libcap
+ optfeature "Support CIFS" net-fs/cifs-utils
+ optfeature "Decrypt devices encrypted with cryptsetup/LUKS" \
+ "sys-fs/cryptsetup[-static-libs]"
+ optfeature "Support for GPG-encrypted keys for crypt module" \
+ app-crypt/gnupg
+ optfeature \
+ "Allows use of dash instead of default bash (on your own risk)" \
+ app-shells/dash
+ optfeature "Framebuffer splash (media-gfx/splashutils)" \
+ media-gfx/splashutils
+ optfeature "Support iSCSI" sys-block/open-iscsi
+ optfeature "Support Logical Volume Manager" sys-fs/lvm2
+ optfeature "Support MD devices, also known as software RAID devices" \
+ sys-fs/mdadm
+ optfeature "Support Device Mapper multipathing" sys-fs/multipath-tools
+ optfeature "Plymouth boot splash" '>=sys-boot/plymouth-0.8.5-r5'
+ optfeature "Support network block devices" sys-block/nbd
+ optfeature "Support NFS" net-fs/nfs-utils net-nds/rpcbind
+ optfeature \
+ "Install ssh and scp along with config files and specified keys" \
+ net-misc/openssh
+ optfeature "Enable logging with syslog-ng or rsyslog" app-admin/syslog-ng \
+ app-admin/rsyslog
+}
next reply other threads:[~2017-11-18 16:19 UTC|newest]
Thread overview: 197+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-18 16:19 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-23 18:38 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/dracut/ Sam James
2024-11-12 18:22 Mike Gilbert
2024-11-12 17:24 Mike Gilbert
2024-11-12 17:24 Mike Gilbert
2024-11-11 16:49 Mike Gilbert
2024-11-08 15:50 Mike Gilbert
2024-11-08 1:13 Mike Gilbert
2024-09-30 9:14 Andrew Ammerlaan
2024-08-31 6:14 Sam James
2024-08-27 18:05 Andreas K. Hüttel
2024-08-17 23:23 Sam James
2024-08-17 23:23 Sam James
2024-08-17 19:29 Arthur Zamarin
2024-08-17 19:29 Arthur Zamarin
2024-08-17 18:18 Arthur Zamarin
2024-08-17 18:18 Arthur Zamarin
2024-08-09 8:57 Sam James
2024-08-04 20:36 Mike Gilbert
2024-08-04 3:16 Sam James
2024-08-04 3:16 Sam James
2024-08-03 22:51 Sam James
2024-08-03 16:48 Jakov Smolić
2024-08-03 16:48 Jakov Smolić
2024-07-27 6:58 Andrew Ammerlaan
2024-07-21 0:31 Sam James
2024-07-14 8:21 Andrew Ammerlaan
2024-06-03 17:59 Andrew Ammerlaan
2024-04-09 7:44 Andrew Ammerlaan
2024-02-29 17:57 Matt Turner
2024-02-24 2:44 Ionen Wolkens
2024-02-02 6:28 Andrew Ammerlaan
2024-01-25 1:37 Sam James
2024-01-24 14:35 Andrew Ammerlaan
2024-01-24 13:37 Sam James
2024-01-24 10:59 Sam James
2024-01-24 10:59 Sam James
2024-01-24 10:58 Sam James
2024-01-24 10:58 Sam James
2024-01-19 15:26 Mike Gilbert
2024-01-16 5:46 Viorel Munteanu
2023-12-29 20:26 Arthur Zamarin
2023-12-24 17:21 Arthur Zamarin
2023-12-24 11:08 Sam James
2023-12-24 11:08 Sam James
2023-12-24 11:08 Sam James
2023-12-24 11:08 Sam James
2023-12-24 4:12 Sam James
2023-12-01 21:55 James Le Cuirot
2023-11-29 18:54 Mike Gilbert
2023-11-09 16:04 Mike Gilbert
2023-11-09 16:04 Mike Gilbert
2023-11-09 2:37 Mike Gilbert
2023-10-29 4:12 Sam James
2023-10-26 16:33 Arthur Zamarin
2023-10-21 16:21 Arthur Zamarin
2023-10-21 16:21 Arthur Zamarin
2023-10-21 16:21 Arthur Zamarin
2023-10-21 14:16 Sam James
2023-10-21 14:16 Sam James
2023-10-21 14:16 Sam James
2023-10-21 14:15 Sam James
2023-10-01 18:12 Arthur Zamarin
2023-09-08 19:55 Sam James
2023-09-08 18:50 Arthur Zamarin
2023-09-08 18:50 Arthur Zamarin
2023-09-08 18:50 Arthur Zamarin
2023-09-08 18:50 Arthur Zamarin
2023-09-08 18:50 Arthur Zamarin
2023-09-08 18:24 Sam James
2023-09-08 9:25 David Seifert
2023-07-14 19:40 Mike Gilbert
2023-05-11 20:03 Sam James
2023-01-03 20:24 Sam James
2022-12-27 7:35 Sam James
2022-12-26 16:56 Mike Gilbert
2022-12-25 2:53 Mike Gilbert
2022-12-03 12:07 Arthur Zamarin
2022-12-03 6:16 Arthur Zamarin
2022-12-03 6:16 Arthur Zamarin
2022-12-03 6:10 Arthur Zamarin
2022-12-03 6:09 Sam James
2022-12-03 6:09 Sam James
2022-12-03 6:06 Sam James
2022-12-03 6:06 Sam James
2022-10-30 9:40 Sam James
2022-10-10 12:20 Joonas Niilola
2022-09-27 21:44 Sam James
2022-07-29 3:24 Sam James
2022-07-06 7:19 Arthur Zamarin
2022-07-05 7:29 Agostino Sarubbo
2022-07-05 6:04 Agostino Sarubbo
2022-07-05 6:04 Agostino Sarubbo
2022-07-05 6:03 Agostino Sarubbo
2022-07-05 6:02 Agostino Sarubbo
2022-07-05 6:02 Agostino Sarubbo
2022-07-05 6:01 Agostino Sarubbo
2022-07-04 23:29 Mike Gilbert
2022-05-27 21:42 Mike Gilbert
2022-05-27 21:42 Mike Gilbert
2022-05-05 9:51 WANG Xuerui
2022-05-05 9:51 WANG Xuerui
2022-04-29 9:13 Sam James
2022-02-02 1:51 Sam James
2021-12-31 4:13 Sam James
2021-12-28 10:19 Sam James
2021-12-28 2:29 Sam James
2021-12-27 18:48 Arthur Zamarin
2021-12-27 18:48 Arthur Zamarin
2021-12-27 18:48 Arthur Zamarin
2021-12-27 17:42 Arthur Zamarin
2021-09-16 12:32 Marek Szuba
2021-06-15 5:25 Sam James
2021-06-15 0:12 Mike Gilbert
2021-06-14 22:18 Sam James
2021-06-14 22:18 Sam James
2021-06-14 22:18 Sam James
2021-06-14 22:18 Sam James
2021-06-14 22:18 Sam James
2021-06-14 22:18 Sam James
2021-06-14 18:42 Mike Gilbert
2021-04-04 18:55 Andreas Sturmlechner
2021-03-02 1:50 Matthew Thode
2020-12-15 20:49 Mike Gilbert
2020-09-24 6:46 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-20 21:52 Thomas Deutschmann
2020-09-20 18:15 Sam James
2020-09-20 1:13 Sam James
2020-09-07 8:55 David Seifert
2020-03-10 19:50 Mike Gilbert
2020-03-06 7:13 Mikle Kolyada
2020-02-13 21:40 David Seifert
2020-01-27 10:27 Mikle Kolyada
2020-01-13 8:50 Agostino Sarubbo
2020-01-13 8:45 Agostino Sarubbo
2020-01-12 23:22 Sergei Trofimovich
2020-01-12 22:53 Sergei Trofimovich
2020-01-12 22:42 Sergei Trofimovich
2019-12-30 18:06 Mike Gilbert
2019-12-29 19:39 Mike Gilbert
2019-10-05 18:56 Michał Górny
2019-08-26 20:49 Georgy Yakovlev
2019-08-26 20:49 Georgy Yakovlev
2019-06-05 7:55 Agostino Sarubbo
2019-06-05 7:12 Agostino Sarubbo
2019-06-04 20:54 Agostino Sarubbo
2019-06-03 20:31 Sergei Trofimovich
2019-04-18 3:30 Aaron Bauman
2019-01-26 17:29 Mike Gilbert
2019-01-21 14:23 Mike Gilbert
2018-10-21 12:43 Pacho Ramos
2018-09-19 18:38 Patrice Clement
2018-08-26 20:35 Michał Górny
2018-07-10 5:49 Matt Thode
2018-03-24 18:03 Mike Gilbert
2018-03-18 23:32 Sergei Trofimovich
2018-03-09 19:08 Michał Górny
2018-03-09 19:08 Michał Górny
2018-03-04 11:34 Tobias Klausmann
2018-01-27 23:16 Matt Thode
2018-01-23 23:18 Sergei Trofimovich
2018-01-11 6:58 Mike Gilbert
2018-01-10 21:22 Sergei Trofimovich
2018-01-08 23:56 Mikle Kolyada
2018-01-08 22:50 Thomas Deutschmann
2017-11-18 21:35 Amadeusz Piotr Żołnowski
2017-11-18 17:52 Sergei Trofimovich
2017-11-08 12:51 Tobias Klausmann
2017-10-30 21:53 Sergei Trofimovich
2017-10-29 22:08 Thomas Deutschmann
2017-10-29 11:17 Manuel Rüger
2017-10-28 22:21 Sergei Trofimovich
2017-07-24 3:01 Joshua Kinard
2017-07-04 18:55 Mike Gilbert
2017-07-04 0:36 Mike Gilbert
2017-07-02 23:16 Mike Gilbert
2017-07-02 23:11 Mike Gilbert
2017-07-02 23:11 Mike Gilbert
2017-05-29 17:28 Mike Gilbert
2017-02-09 21:41 Patrick McLean
2017-02-09 18:47 Patrick McLean
2016-12-29 10:45 Agostino Sarubbo
2016-12-19 11:14 Tobias Klausmann
2016-12-18 21:01 Richard Freeman
2016-11-17 0:24 Mike Gilbert
2016-03-29 10:35 Ian Delaney
2016-01-03 14:34 Manuel Rüger
2015-09-12 10:45 Justin Lecher
2015-08-16 10:04 Amadeusz Żołnowski
2015-08-16 10:04 Amadeusz Żołnowski
2015-08-16 10:04 Amadeusz Żołnowski
2015-08-12 23:40 Amadeusz Żołnowski
2015-08-12 23:40 Amadeusz Żołnowski
2015-08-09 20:07 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1511021946.a3a854e183411aa4ebcfad7efcf02f72cf5e3e4c.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox